#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <pspdebug.h>
#include <pspkernel.h>

#include "common.h"
#include "thrdfunc.h"

// exit callback
int exit_callback (void)
{
	sceKernelExitGame ();
	return (SUCCESS);
}

// Callback thread
void CallbackThread (void *arg)
{
int cbid;

	cbid = sceKernelCreateCallback ("Exit Callback", exit_callback, NULL);
	sceKernelRegisterExitCallback (cbid);
	sceKernelSleepThreadCB ();
}

// Sets up the callback thread and returns its thread id
int SetupCallbacks (void)
{
int thid = 0;

	thid = sceKernelCreateThread ("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
	if (thid >= 0)
	{
		sceKernelStartThread (thid, 0, 0);
	}

	return (thid);
}


